# -*- encoding : utf-8 -*-
class Portlet < ActiveRecord::Base
  belongs_to :block
  belongs_to :content, :polymorphic => true
  accepts_nested_attributes_for :content

  attr_accessor :skip_before_update




  def dup
    @portlet = Portlet.new(self.attributes)
    @portlet.id = nil
    @portlet.content = self.content.dup
    
    
    @portlet.save
    @portlet
  end
  



  before_create do
    
  end

  before_update do
  
  end

  before_destroy do
    

  end


end
